---
title: Registration & First Payment - DANA Recurring API
slug: en/nicepay-api-non-snap-registration-and-first-payment-dana-recurring-e-wallet-advance-api
description: Information about Non-SNAP Advance API - E-Wallet DANA Recurring Registration & First Payment available on NICEPAY system
image: https://archbee-image-uploads.s3.amazonaws.com/ZHvSjR5ZrsoxwKbJa3xmo/KADMFOLNQhOWfZdJbGJPa_nicepay-docs-logo.png
icon: {"faIcon":"fa-solid fa-recycle"}
docTags: 
createdAt: 2025-05-19T08:43:21.726Z
---

# About Registration & First Payment - DANA Recurring API

***

*NICEPAY API Registration & First Payment* goal is for Merchant can registers API system and integrate with NICEPAY's system to proceed the first transaction.



# Registration & First Payment - DANA Recurring API

***

| **API Endpoint**   | `/nicepay/api/danaRecurring.do`                        |
| ------------------ | ------------------------------------------------------ |
| **Request Method** | <font color="#3b9f0f">**POST** </font>Form (Parameter) |
| **Description**    | DANA Recurring&#xD;                                    |
| **Merchant Token** | SHA256(`timeStamp`+`iMid`+`tXid`+`amt`+`merchantKey`)  |



## Request Parameter Registration & First Payment - DANA Recurring API

***

The following are the list of parameters when requesting for registration and payment during E-Wallet DANA Recurring transaction process.

| **Parameter**                                               | **Type** | **Size** | **Description**                                        | **Example / Remark**                                                                                                    |
| ----------------------------------------------------------- | -------- | -------- | ------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------- |
| `timeStamp`<br /><font color="#2166ae">Required</font>      | N        | 14       | API Request Date<br />(`YYYYMMDDHH24MiSS`)             | 20211005123015                                                                                                          |
| `iMid`<br /><font color="#2166ae">Required</font>           | AN       | 10       | Merchant ID                                            | IONPAYTEST                                                                                                              |
| `payMethod`<br /><font color="#2166ae">Required</font>      | AN       | 2        | Payment Method                                         | 05                                                                                                                      |
| `currency`<br /><font color="#2166ae">Required</font>       | AN       | 3        | Currency                                               | IDR                                                                                                                     |
| `amt`<br /><font color="#2166ae">Required</font>            | N        | 12       | Payment Amount                                         | 1000                                                                                                                    |
| `referenceNo`<br /><font color="#2166ae">Required</font>    | ANS      | 40       | Merchant Order Number&#xD;<br />/ Trx ID Merchant&#xD; | MerchantReferenceNumber001                                                                                              |
| `goodsNm`<br /><font color="#2166ae">Required</font>        | AN       | 100      | Goods Name will show in DANA Page                      | Merchant Goods 1                                                                                                        |
| `billingNm`<br /><font color="#2166ae">Required</font>      | A        | 30       | Buyer Name                                             | John Doe                                                                                                                |
| `billingPhone`<br /><font color="#2166ae">Required</font>   | N        | 15       | Buyer Phone Number                                     | 081234567891                                                                                                            |
| `billingEmail`<br /><font color="#2166ae">Required</font>   | AN       | 40       | Buyer Email                                            | buyer\@merchant.com                                                                                                     |
| `billingAddr`                                               | AN       | 100      | Buyer Address                                          | Billing Address                                                                                                         |
| `billingCity`<br /><font color="#2166ae">Required</font>    | A        | 50       | Buyer City                                             | Jakarta                                                                                                                 |
| `billingState`<br /><font color="#2166ae">Required</font>   | A        | 50       | Billing State                                          | Jakarta                                                                                                                 |
| `billingPostCd`<br /><font color="#2166ae">Required</font>  | N        | 10       | Billing Post Number                                    | 12345                                                                                                                   |
| `billingCountry`<br /><font color="#2166ae">Required</font> | A        | 10       | Billing Country                                        | Indonesia                                                                                                               |
| `deliveryNm`                                                | A        | 30       | Delivery Name                                          | Buyer Name                                                                                                              |
| `deliveryPhone`                                             | N        | 15       | Delivery Phone Number                                  | 081234567891                                                                                                            |
| `deliveryAddr`                                              | AN       | 100      | Delivery Address                                       | Billing Address                                                                                                         |
| `deliveryCity`                                              | A        | 50       | Delivery City                                          | Jakarta                                                                                                                 |
| `deliveryState`                                             | A        | 50       | Delivery State                                         | Jakarta                                                                                                                 |
| `deliveryPostCd`                                            | N        | 10       | Delivery Post Number                                   | 12345                                                                                                                   |
| `deliveryCountry`                                           | A        | 10       | Delivery Country                                       | Indonesia                                                                                                               |
| `callBackUrl`<br /><font color="#2166ae">Required</font>    | AN       | 255      | Payment Callback URL                                   | [https://www.nicepay.co.id/IONPAY\_CLIENT/paymentResult.jsp](https://www.nicepay.co.id/IONPAY_CLIENT/paymentResult.jsp) |
| `dbProcessUrl`<br /><font color="#2166ae">Required</font>   | AN       | 255      | Payment Notification URL (Async Notification)          | [https://ptsv2.com/t/nicepay-dbProccessUrl/post](https://ptsv2.com/t/nicepay-dbProccessUrl/post)                        |
| `description`                                               | AN       | 100      | Transaction Description                                | Description                                                                                                             |
| `merchantToken`<br /><font color="#2166ae">Required</font>  | AN       | 255      | Merchant Token                                         | 6cfccfc0046773c1b589d8e98f8b596c284f3c70a4ecf86eba14c18944b74bcd                                                        |
| `userIP`<br /><font color="#2166ae">Required</font>         | AN       | 15       | User IP (Customer)                                     | 127.0.0.1                                                                                                               |
| `userSessionID`                                             | AN       | 100      | User Session ID                                        | userSessionID                                                                                                           |
| `userAgent`                                                 | AN       | 100      | User Agent Information                                 | Mozilla                                                                                                                 |
| `userLanguage`                                              | A        | 2        | User Language                                          | en-US                                                                                                                   |
| `cartData`<br /><font color="#2166ae">Required</font>       | AN       | 4000     | Cart Data                                              | \{String JSON\_Format}                                                                                                  |
| `mitraCd`<br /><font color="#2166ae">Required</font>        | A        | 4        | Mitra Code                                             | DANA                                                                                                                    |
| `recurrType`<br /><font color="#2166ae">Required</font>     | N        | 1        | Type of Recurring                                      | `1`: Daily<br />`2`: Weekly<br />`3`: Monthly                                                                           |
| `recurrIntv`<br /><font color="#2166ae">Required</font>     | N        | 2        | Time Gap between Subcriptions                          | 1                                                                                                                       |
| `recurrPeriod`<br /><font color="#2166ae">Required</font>   | N        | 2        | Total Number of Times the Subcriptions will made       | 2                                                                                                                       |



## Sample Parameter Registration & First Payment - DANA Recurring API

***

:::CodeblockTabs
cartData Sample

```json
{"count":1,"item":[{"img_url":"https://d3nevzfk7ii3be.cloudfront.net/igi/vOrGHXlovukA566A.medium","goods_name":"Nokia 3360","goods_detail":"Old Nokia 3360","goods_amt":"1000","goods_quantity":"1"}]}
```

Create Recurring Issue Sample

```none
POST /nicepay/api/danaRecurring.do HTTP/1.1
Host: dev.nicepay.co.id
Content-Type: application/x-www-form-urlencoded

timeStamp:20211005123015
iMid:IONPAYTEST
payMethod:05
currency:IDR
amt:1000
referenceNo:MerchantReferenceNumber001
goodsNm:Merchant Subscription
billingNm:John Doe
billingEmail:buyer@merchant.com
billingPhone:081234567891
billingAddr:Billing Address
billingCity:Jakarta
billingState:Jakarta
billingPostCd:12345
billingCountry:Indonesia
deliveryNm:Buyer Name
deliveryPhone:081234567891
deliveryAddr:Billing Address
deliveryCity:Jakarta 
deliveryState:Jakarta 
deliveryPostCd:12345
deliveryCountry:Indonesia 
callBackUrl:https://www.nicepay.co.id/IONPAY_CLIENT/paymentResult.jsp
dbProcessUrl:https://ptsv2.com/t/nicepay-dbProccessUrl/post
vat:
fee:
notaxAmt:
description:Description
userIP:127.0.0.1
userSessionID:userSessionID
userAgent:Mozilla
userLanguage:en-US
merchantToken:ab49212e792d7b50428e7b657674c188c32060870e93548dd613e8c42aa98686
cartData:{"count":1,"item":[{"img_url":"https://d3nevzfk7ii3be.cloudfront.net/igi/vOrGHXlovukA566A.medium","goods_name":"Nokia 3360","goods_detail":"Old Nokia 3360","goods_amt":"1000","goods_quantity":"1"}]}
mitraCd:DANA
reqDt:
reqTm:
reqDomain:
reqServerIP:
reqClientVer:
worker:
shopId:
msId:
msFee:
msFeeType:
escrowCl:
mbFee:
mbFeeType:
recurrOpt:
recurrType:2
recurrIntv:1
recurrPeriod:2
```
:::

